package com.ruoyi.traceability.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 冷压数据上传对象 pro_lyupload
 * 
 * @author wenjy
 * @date 2022-11-22
 */
public class ProLyUpload extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long id;

    /** 资源号 */
    @Excel(name = "资源号")
    private String resource;

    /** SFC */
    @Excel(name = "SFC")
    private String sfcStr;

    /** 工序 */
    @Excel(name = "工序")
    private String operation;

    /** 客户端标识 */
    @Excel(name = "客户端标识")
    private String clientId;

    /** 数据组 */
    @Excel(name = "数据组")
    private String dcGroup;

    /** 放卷方向 */
    @Excel(name = "放卷方向")
    private String upDirection;

    /** 收卷方向 */
    @Excel(name = "收卷方向")
    private String downDirection;

    /** 收卷轴 */
    @Excel(name = "收卷轴")
    private String downPosition;

    /** 横向膜区 */
    @Excel(name = "横向膜区")
    private String crosswiseArea;

    /** 纵向膜区 */
    @Excel(name = "纵向膜区")
    private String erectArea;

    /** 物料面向 */
    @Excel(name = "物料面向")
    private String materialFace;

    /** S面数据 */
    @Excel(name = "S面数据")
    private String sx01;

    /** S面数据 */
    @Excel(name = "S面数据")
    private String sx02;

    /** S面数据 */
    @Excel(name = "S面数据")
    private String bx01;

    /** S面数据 */
    @Excel(name = "S面数据")
    private String bx02;

    /** 是否成功 */
    @Excel(name = "是否成功")
    private Long isSuccess;

    /** MES返回信息 */
    @Excel(name = "MES返回信息")
    private String mesReturnInfo;

    /** 记录时间 */
    @Excel(name = "记录时间")
    private String recordTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setResource(String resource) 
    {
        this.resource = resource;
    }

    public String getResource() 
    {
        return resource;
    }
    public void setSfcStr(String sfcStr) 
    {
        this.sfcStr = sfcStr;
    }

    public String getSfcStr() 
    {
        return sfcStr;
    }
    public void setOperation(String operation) 
    {
        this.operation = operation;
    }

    public String getOperation() 
    {
        return operation;
    }
    public void setClientId(String clientId) 
    {
        this.clientId = clientId;
    }

    public String getClientId() 
    {
        return clientId;
    }
    public void setDcGroup(String dcGroup) 
    {
        this.dcGroup = dcGroup;
    }

    public String getDcGroup() 
    {
        return dcGroup;
    }
    public void setUpDirection(String upDirection) 
    {
        this.upDirection = upDirection;
    }

    public String getUpDirection() 
    {
        return upDirection;
    }
    public void setDownDirection(String downDirection) 
    {
        this.downDirection = downDirection;
    }

    public String getDownDirection() 
    {
        return downDirection;
    }
    public void setDownPosition(String downPosition) 
    {
        this.downPosition = downPosition;
    }

    public String getDownPosition() 
    {
        return downPosition;
    }
    public void setCrosswiseArea(String crosswiseArea) 
    {
        this.crosswiseArea = crosswiseArea;
    }

    public String getCrosswiseArea() 
    {
        return crosswiseArea;
    }
    public void setErectArea(String erectArea) 
    {
        this.erectArea = erectArea;
    }

    public String getErectArea() 
    {
        return erectArea;
    }
    public void setmaterialFace(String materialFace) 
    {
        this.materialFace = materialFace;
    }

    public String getmaterialFace() 
    {
        return materialFace;
    }
    public void setSx01(String sx01) 
    {
        this.sx01 = sx01;
    }

    public String getSx01() 
    {
        return sx01;
    }
    public void setSx02(String sx02) 
    {
        this.sx02 = sx02;
    }

    public String getSx02() 
    {
        return sx02;
    }
    public void setBx01(String bx01) 
    {
        this.bx01 = bx01;
    }

    public String getBx01() 
    {
        return bx01;
    }
    public void setBx02(String bx02) 
    {
        this.bx02 = bx02;
    }

    public String getBx02() 
    {
        return bx02;
    }
    public void setIsSuccess(Long isSuccess) 
    {
        this.isSuccess = isSuccess;
    }

    public Long getIsSuccess() 
    {
        return isSuccess;
    }
    public void setMesReturnInfo(String mesReturnInfo) 
    {
        this.mesReturnInfo = mesReturnInfo;
    }

    public String getMesReturnInfo() 
    {
        return mesReturnInfo;
    }
    public void setRecordTime(String recordTime) 
    {
        this.recordTime = recordTime;
    }

    public String getRecordTime() 
    {
        return recordTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("resource", getResource())
            .append("sfcStr", getSfcStr())
            .append("operation", getOperation())
            .append("clientId", getClientId())
            .append("dcGroup", getDcGroup())
            .append("upDirection", getUpDirection())
            .append("downDirection", getDownDirection())
            .append("downPosition", getDownPosition())
            .append("crosswiseArea", getCrosswiseArea())
            .append("erectArea", getErectArea())
            .append("materialFace", getmaterialFace())
            .append("sx01", getSx01())
            .append("sx02", getSx02())
            .append("bx01", getBx01())
            .append("bx02", getBx02())
            .append("isSuccess", getIsSuccess())
            .append("mesReturnInfo", getMesReturnInfo())
            .append("recordTime", getRecordTime())
            .toString();
    }
}
